Pbm Profile Profile Manager Pbm Update

Pbm Profile Profile Manager Pbm Update
Updates a storage profile.

Updates a storage profile.

Required privileges: StorageProfile.Update

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmUpdate
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PbmProfileProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
PbmUpdateRequestType of type(s) application/json
Required

Show optional properties

{
    "profileId": {},
    "updateSpec": {}
}
{
    "profileId": {
        "_typeName": "string",
        "uniqueId": "string"
    },
    "updateSpec": {
        "_typeName": "string",
        "name": "string",
        "description": "string",
        "constraints": {
            "_typeName": "string"
        }
    }
}
profileId
Required

Profile identifier.

updateSpec
Required

Capability-based update specification.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

InvalidArgument: if the Server does not recognize PbmProfileId.

PbmFaultProfileStorageFault: in case of internal service error.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"profileId":"{}","updateSpec":"{}"}' https://{api_host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmUpdate